Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 587316 - toolchain.eclass: calls prepinfo, prepman, prepstrip
Summary: toolchain.eclass: calls prepinfo, prepman, prepstrip
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords:
Depends on: 203891
Blocks: ebuild-prep
  Show dependency tree
 
Reported: 2016-06-27 18:13 UTC by Michał Górny
Modified: 2018-12-04 11:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-27 18:13:22 UTC
See tracker bug.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-03-22 21:53:51 UTC
Ping. Stripping is no excuse to use prepman and prepinfo. Please fix that *urgently*.
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-11-22 19:37:44 UTC
So.  Will masking gcc for removal help here?
Comment 3 Larry the Git Cow gentoo-dev 2018-11-22 23:34:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c3277200aee40cf90d32221e7ec776f41c61443c

commit c3277200aee40cf90d32221e7ec776f41c61443c
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-11-22 23:26:26 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-11-22 23:34:20 +0000

    toolchain.eclass: drop prepman() and prepstrip(), bug #587316
    
    These functions are no-op in portage-2.3.50+.
    
    Bug: https://bugs.gentoo.org/587316
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 eclass/toolchain.eclass | 6 ------
 1 file changed, 6 deletions(-)
Comment 4 Sergei Trofimovich gentoo-dev 2018-11-22 23:44:36 UTC
I think proposed patch would help more.
Comment 5 Larry the Git Cow gentoo-dev 2018-11-25 15:13:27 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=97f0db2416f531bcfbc20c64d64bde384c1aab23

commit 97f0db2416f531bcfbc20c64d64bde384c1aab23
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-11-25 15:11:06 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-11-25 15:13:19 +0000

    toolchain.eclass: drop prepstrip(), bug #587316
    
    This disables all stripping in gcc. As PMS does
    not provide an alternative just drop stripping
    for now.
    
    Reported-by: Michał Górny
    Closes: https://bugs.gentoo.org/587316
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 eclass/toolchain.eclass | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)
Comment 6 Larry the Git Cow gentoo-dev 2018-12-04 11:06:13 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d266c61788fe8457e0ed0d7674bcb5d963692e8c

commit d266c61788fe8457e0ed0d7674bcb5d963692e8c
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-12-04 09:05:17 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-12-04 11:05:57 +0000

    toolchain.eclass: drop info/dir index, bug #672408
    
    As explained by Zac in #672408 prepinfo() was used to drop 'info/dir'
    index to allow portage regenerate it.
    
    gcc package does not always install 'info/dir' files (USE-dependent).
    This causes nondeterminism for 'info/dir' to be owned or be an orphan
    file.
    
    This change drops 'info/dir' unconditionally to avoid owned/orphan
    collisions and always make it an orphan file.
    
    Reported-by: Michal Jakubowski
    Bug: https://bugs.gentoo.org/672408
    Bug: https://bugs.gentoo.org/587316
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 eclass/toolchain.eclass | 8 ++++++++
 1 file changed, 8 insertions(+)